Some clear guidelines for the legacy algs.
[openssl.git] / crypto / dh / build.info
1 LIBS=../../libcrypto
2
3 $COMMON=dh_lib.c dh_key.c dh_group_params.c dh_check.c dh_backend.c dh_gen.c \
4         dh_kdf.c
5
6 SOURCE[../../libcrypto]=$COMMON\
7         dh_asn1.c dh_err.c \
8         dh_ameth.c dh_pmeth.c dh_prn.c dh_rfc5114.c dh_meth.c
9 IF[{- !$disabled{'deprecated-0.9.8'} -}]
10   SOURCE[../../libcrypto]=dh_depr.c
11 ENDIF
12
13 SOURCE[../../providers/libfips.a]=$COMMON